For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • PUTCreate a parent worker relation
      • PUTCreate a parent worker relation with external id
      • POSTCreate a worker relation
      • PUTCreate child worker relation
      • PUTCreate child worker relation with external Id
      • POSTCreate worker relation type
      • POSTCreate worker relation with external Ids
      • DELDelete a worker relation
      • DELDelete a worker relation by external id
      • DELDelete a worker relation type
      • DELDelete a worker relation type by external id
      • GETFetch Worker Relations of a given HrisProfile by external id
      • GETList of worker relations
      • GETRetrieve all worker relation types
      • PATCHUpdate a worker relation type
      • PATCHUpdate a worker relation type by external id
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsWorker Relations

Fetch Worker Relations of a given HrisProfile by external id

GET
/hris/worker_relations/profile/external/:profile_id
GET
/rest/v2/hris/worker_relations/profile/external/:profile_id
$curl https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
5 "name": "Parent",
6 "is_parent": true,
7 "is_default": true,
8 "child_relationships": [
9 {
10 "last_name": "Doe",
11 "first_name": "John",
12 "profile_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
13 "external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
14 "relation_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"
15 }
16 ],
17 "parent_relationship": {
18 "last_name": "Doe",
19 "first_name": "Jane",
20 "profile_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
21 "relation_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
22 "profile_external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
23 "relation_external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"
24 }
25 }
26 ]
27}

Retrieves all worker relationships for a given HRIS profile identified by its external identifier, including parent and child relationships. Token scopes: profile:read

Was this page helpful?
Previous

List of worker relations

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

profile_idstringRequired
HrisProfile external ID

Response

Successful operation
datalist of objects
An array containing the Worker Relations of the profile. It includes either the parent or child relations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication